Results 1 to 10 of 10

Thread: Skype or other VOIP

  1. #1
    Join Date
    Dec 2012
    Beans
    11

    Skype or other VOIP

    I tried to install skype using the command

    Code:
    sudo apt-get install skype
    I get the following error

    The following packages have unmet dependencies.
    skype : Depends: skype-bin but it is not installable
    E: Unable to correct problems, you have held broken packages.


    I have gone through various forums, followed the steps, but I ended up with the same message as above.

    FYI, When I type uname -a in the terminal, I get this
    Linux ubuntu 3.5.0-22-generic #34-Ubuntu SMP Tue Jan 8 21:47:00 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

    I need some help to install skype.

    OR

    Please can someone point me to an alternative to skype that can interop with multiple voip software including skype.

  2. #2
    Join Date
    May 2012
    Location
    UK
    Beans
    613

    Re: Skype or other VOIP

    you just need to enable the canonical partner repositories (software channels).

    in software sources there is a tab called other software, or something. find canonical partners and check the boxes.

    then refresh/reload your repos, either by update manager 'check' button, or
    Code:
    sudo apt-get update
    in the terminal.

  3. #3
    Join Date
    Aug 2011
    Location
    52° N 6° E
    Beans
    2,609
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Skype or other VOIP

    This has happened before: http://ubuntuforums.org/showthread.php?t=2085901

    You could install only skype-bin, which should give you the program. Although I'm not sure it will properly install it (menu entry, panel icon), you will be able to start the program from the command line. Else you can install directly from the skype website (slightly harder) or wait for a few days. There must be an error in the dependencies. Skype may be dependent on a new version of skype-bin, which isn't in the repo's yet. It should be corrected in a few days.

  4. #4
    Join Date
    May 2009
    Location
    Oregon, USA
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Skype or other VOIP

    I could not tell from your post what version of Ubuntu you are using, 12.10 or 12.04?

    You can use synaptic package manager to fix your broken packages. If you do not already have it installed, do so and go to edit and then fix broken packages. I would then reboot.

    You could then download the latest version for Ubuntu from the Skype site and then click the download and the software center will install.

  5. #5
    Join Date
    Jan 2013
    Beans
    1

    Re: Skype or other VOIP

    If you're running 64bit Ubuntu, The following command worked for me.
    sudo dpkg --add-architecture i386 && sudo apt-get update && sudo apt-get install ia32-libs

  6. #6
    Join Date
    Dec 2012
    Beans
    11

    Re: Skype or other VOIP

    Hi gifford, I am using Ubuntu 12.10. I will try Synaptic package manager to see if it works.
    Last edited by venkinag; January 27th, 2013 at 09:24 PM.

  7. #7
    Join Date
    Dec 2012
    Beans
    11

    Re: Skype or other VOIP

    Quote Originally Posted by black veils View Post
    you just need to enable the canonical partner repositories (software channels).

    in software sources there is a tab called other software, or something. find canonical partners and check the boxes.

    then refresh/reload your repos, either by update manager 'check' button, or
    Code:
    sudo apt-get update
    in the terminal.
    Hi, Canonical partners is already checked. But I still faced the problem. See attached screenshot.
    Attached Images Attached Images

  8. #8
    Join Date
    May 2012
    Location
    UK
    Beans
    613

    Re: Skype or other VOIP

    hmm.. in the software sources, on updates tab, make sure that recommended is checked.

    refresh/reload the repositories

    then run this command in terminal
    Code:
    sudo apt-get remove skype skype-bin
    try again to install skype.

    so far all i have seen from searching is someone had problems due to a repository malfunctioning, which corrected after a day or 2. the other is making sure any old skype is removed first, and of course the canonical partners selected.

    Edit:
    i know it is in the repositories, and this may make no difference, but its another method to try.. http://www.tecmint.com/install-skype...tu-linux-mint/
    32-bit
    Code:
    sudo apt-get install libxss1
    Code:
    cd /tmp
    Code:
    wget http://www.skype.com/go/getskype-linux-ubuntu-32/skype-ubuntu-precise_4.1.0.20-1_i386.deb
    Code:
    sudo dpkg -i skype-ubuntu*.deb
    64-bit
    Code:
    sudo apt-get install libxss1
    Code:
    cd /tmp
    Code:
    wget http://www.skype.com/go/getskype-linux-ubuntu-64/skype-ubuntu-precise_4.1.0.20-1_amd64.deb
    Code:
    sudo dpkg -i skype-ubuntu*.deb
    Last edited by black veils; January 27th, 2013 at 10:15 PM.

  9. #9
    Join Date
    Dec 2012
    Beans
    11

    Re: Skype or other VOIP

    Thank you everyone.

    I used the command
    Code:
    sudo apt-get install libxss1
    It gave me bunch of unmmet dependencies errors. At the end of the error message it suggested that I use 'apt-get -f install'. I tried it as a sudo user. It installed all dependencies and my skype started working!

    I did not use synaptics package manager.

    Special thanks to shaunbrown1995 and black veils.

  10. #10
    Join Date
    May 2012
    Location
    UK
    Beans
    613

    Re: Skype or other VOIP

    [Deleted]
    Last edited by black veils; February 13th, 2013 at 09:31 AM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •